<div class="ui grid">
  <div class="row">
    <div class="twelve wide column">
      <div class="ui pointing menu">
        <div class="left menu">
          <select class="ui selection dropdown" [(ngModel)]="selectedGenre" (ngModelChange)='genreSelectChanged($event)'>
            <option value="all">All Genres</option>
            <option *ngFor="let genre of this.genres" [ngValue]=genre>{{genre}}</option>
          </select>

          <button class="mini compact ui inverted red button" *ngIf="this.searchedValue != ''" (click)="repealSearch()">
            Searched {{this.oldValueOfSearchBy}}: {{this.searchedValue}}
          </button>
        </div>

        <div class="right menu">
          <select class="ui selection dropdown" (change)="setValueOfSearchBy($event)">
            <option value="">Search By</option>
            <option value="title" selected='selected'>Search by book title</option>
            <option value="author">Search by author name</option>
          </select>

          <div class="item">
            <div class="ui transparent icon input">
              <input type="text" placeholder="Search..." (keyup.enter)="clickSearchHandler($event)">
              <i class="search link icon"></i>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="twelve wide column">
      <app-book-list [books]="books"></app-book-list>
    </div>
  </div>
</div>

<div id="footer" class="ui grid">
  <div class="twelve wide column">
    <div class="ui right aligned segment">
      <div class="ui pagination menu">
        <button class="ui mini button left floated" [ngClass]="{ disabled: !this.hasPrevPage }" (click)="changePage(1)" onclick="this.blur();">
          <i class="angle double left icon"></i>
        </button>
        <button class="ui mini button left floated" [ngClass]="{ disabled: !this.hasPrevPage }" (click)="changePage(this.page - 1)" onclick="this.blur();">
          <i class="left chevron icon"></i>
        </button>
    
        <div class="disabled item">
          {{this.page + " of " + this.totalPages}}
        </div>
    
        <button class="ui mini button right floated" [ngClass]="{ disabled: !this.hasNextPage }" (click)="changePage(this.page + 1)" onclick="this.blur();">
          <i class="right chevron icon"></i>
        </button>
        <button class="ui mini button right floated" [ngClass]="{ disabled: !this.hasNextPage }" (click)="changePage(this.totalPages)" onclick="this.blur();">
          <i class="angle double right icon"></i>
        </button>
      </div>
    </div>
  </div>
</div>